Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Subscriber

All Superinterfaces:
  Document, Item, Localized, WCMApiObject

    public interface Subscriber

extends Document

Represents a WCM Subscriber. This interface allows users to enable, disable, update and monitoring a Subscriber. A Subscriber is retrieved from the `WcmSyndicationService`.

Method Summary
`java.lang.String` | `getName()` Returns the name of this subscriber.
`SyndicationStatus` | `getStatus()` Returns the `SyndicationStatus` of this `Subscriber`.
`boolean` | `isEnabled()` Returns `true` if this `Subscriber` is enabled, `false` if not.
`void` | `rebuild()` Trigger a full rebuild of the `Subscriber`.
`void` | `setEnabled(boolean enabled, Workspace workspace)` Set `true`to enable this `Syndicator`.``
`void` | `update()` Trigger an update of the `Subscriber`.

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getStatus

    SyndicationStatus getStatus()

  Returns the `SyndicationStatus` of this `Subscriber`.

  Returns:
    `SyndicationStatus` of this `Subscriber`
  Since:
    6.1

### setEnabled

    void setEnabled(boolean enabled,
                    Workspace workspace)

  Set `true`to enable this `Syndicator`. Otherwise `false` to disable this `Syndicator`. An enabled subscriber can trigger syndication events such as updates and rebuilds. Trying to send a update to a disabled syndicator will throw a `SyndicationNotEnabledException`.

  ``
  Parameters:
    `enabled` - `true` to enable this `Syndicator`.
    `workspace` - the `workspace` of the current user setting this flag.
  Since:
    6.1

### isEnabled

    boolean isEnabled()

  Returns `true` if this `Subscriber` is enabled, `false` if not.

  Returns:
    `true` if this `Subscriber` is enabled, `false` if not.
  Since:
    6.1

### getName

    java.lang.String getName()

  Returns the name of this subscriber.

  Specified by:
    `getName` in interface `Item`
  Specified by:
    `getName` in interface `WCMApiObject`
  Returns:
    the name of the current subscriber
  Since:
    6.1

### rebuild

    void rebuild()
                 throws SyndicationNotEnabledException,
                        SyndicationDeploymentException

  Trigger a full rebuild of the `Subscriber`. This will effective send all items in the selected syndication library across to the subscriber.

  Throws:
    `SyndicationNotEnabledException` - if the Subcriber/Syndicator is not enabled.
    `SyndicationDeploymentException` - if the Syndicator or Subscriber could not send the update request.
  Since:
    6.1

### update

    void update()
                throws SyndicationNotEnabledException,
                       SyndicationDeploymentException

  Trigger an update of the `Subscriber`. This will send only the updates which have happened between now and the last syndication run.

  Throws:
    `SyndicationNotEnabledException` - if the Subcriber/Syndicator is not enabled.
    `SyndicationDeploymentException` - if the Syndicator or Subscriber could not send the update request to the other machine.
  Since:
    6.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD